import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetExlusiveKillers = createAsyncThunk(
  "SLAUGHTER_GET_EXCLUSIVE_KILLERS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house/?exclusive-killers=true",
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
